org.apache.tomcat

## Interface InstanceManager

All Known Implementing Classes:
  DefaultInstanceManager

    public interface InstanceManager

### Method Summary

Methods
`void` `destroyInstance(Object o)`
`Object` `newInstance(Class<?> clazz)`
`void` `newInstance(Object o)`
`Object` `newInstance(String className)`
`Object` `newInstance(String fqcn, ClassLoader classLoader)`

### Method Detail

#### newInstance

    Object newInstance(Class<?> clazz)
                       throws IllegalAccessException,
                              InvocationTargetException,
                              NamingException,
                              InstantiationException

Throws:
  `IllegalAccessException`
  `InvocationTargetException`
  `NamingException`
  `InstantiationException`

#### newInstance

    Object newInstance(String className)
                       throws IllegalAccessException,
                              InvocationTargetException,
                              NamingException,
                              InstantiationException,
                              ClassNotFoundException

Throws:
  `IllegalAccessException`
  `InvocationTargetException`
  `NamingException`
  `InstantiationException`
  `ClassNotFoundException`

#### newInstance

    Object newInstance(String fqcn,
                     ClassLoader classLoader)
                       throws IllegalAccessException,
                              InvocationTargetException,
                              NamingException,
                              InstantiationException,
                              ClassNotFoundException

Throws:
  `IllegalAccessException`
  `InvocationTargetException`
  `NamingException`
  `InstantiationException`
  `ClassNotFoundException`

#### newInstance

    void newInstance(Object o)
                     throws IllegalAccessException,
                            InvocationTargetException,
                            NamingException

Throws:
  `IllegalAccessException`
  `InvocationTargetException`
  `NamingException`

#### destroyInstance

    void destroyInstance(Object o)
                         throws IllegalAccessException,
                                InvocationTargetException

Throws:
  `IllegalAccessException`
  `InvocationTargetException`